Address Type
To view all address types:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
pageTokenstringOptional
requestedPageSizeintegerOptional
itemCountintegerOptional
get/api/v2/addressType
GET /api/v2/addressType HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"pageToken": "0",
"requestedPageSize": 50,
"itemCount": 3,
"items": [
{
"addressTypeId": "1",
"name": "Where to deliver orders",
"title": "shipping",
"status": "active"
},
{
"addressTypeId": "4",
"name": "Where to deploy goods or services",
"title": "deployment",
"status": "active"
},
{
"addressTypeId": "7",
"name": "Where to send invoices",
"title": "billing",
"status": "active"
}
]
}To create a new address type:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
titlestringRequired
statusstringOptional
Responses
200
Successful response
No content
post/api/v2/addressType
POST /api/v2/addressType HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"name": "text",
"title": "text",
"status": "text"
}200
Successful response
No content
To view details for a specific address type:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressTypeIdstringRequired
Responses
200
Successful response
application/json
addressTypeIdstringOptional
namestringOptional
titlestringOptional
statusstringOptional
get/api/v2/addressType/{addressTypeId}
GET /api/v2/addressType/{addressTypeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"addressTypeId": "7",
"name": "Where to send invoices",
"title": "billing",
"status": "active"
}To update a specific address type:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressTypeIdstringRequired
Body
namestringOptional
titlestringOptional
statusstringOptional
Responses
200
Successful response
application/json
addressTypeIdstringOptional
namestringOptional
titlestringOptional
statusstringOptional
patch/api/v2/addressType/{addressTypeId}
PATCH /api/v2/addressType/{addressTypeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"name": "text",
"title": "text",
"status": "text"
}200
Successful response
{
"addressTypeId": "1",
"name": "Where to deliver orders",
"title": "shipping",
"status": "setup"
}Last updated
Was this helpful?